export declare class ServiceError extends Error {
    static notImplemented(): ServiceError;
    static serviceUnavailable(): ServiceError;
    static httpOperationNotFound(httpMethod: string, httpPath: string): ServiceError;
    static sqsHandlerNotFound(recordSourceArn: string): ServiceError;
    httpStatus: number;
    shouldTriggerInvestigation: boolean;
    protected constructor(httpStatus: number, shouldTriggerInvestigation: boolean, message: string);
    toString(): string;
    toErrorObject(): {
        message: string;
        shouldTriggerInvestigation: boolean;
        httpStatus: number;
    };
}
